Bug 20747 - --freshen fails when multiple versions of the same package are specified
--freshen fails when multiple versions of the same package are specified
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-13 02:54 EST by Bryce McKinlay
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 02:54:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce McKinlay 2000-11-13 02:54:23 EST
I use the --freshen command to update packages from an ftp mirror of the
redhat/updates directory. eg:

rpm --freshen -vh ftp://some.place/pub/redhat/updates/*.rpm

However, given the way some mirroring software is often configured, it is
common for the updates directory to contain multiple versions of the same
package, when more than one errata for that package has been issued. For
example:

-r-xr-xr-x    1 root     root        82181 Oct  9 18:13
usermode-1.36-3.i386.rpm
-r-xr-xr-x    1 root     root        82399 Nov  9 20:45
usermode-1.37-2.i386.rpm

When the rpm --freshen command is issued against such a directory, and rpm
determines that this package needs to be updated, an error results:

file /usr/sbin/userhelper conflicts between attemped installs of
usermode-1.37-2 and usermode-1.36-3
file /usr/share/man/man1/userinfo.1.gz conflicts between attemped installs
of usermode-1.37-2 and usermode-1.36-3

It would be nice if --freshen were smart enough to install only the newwest
version found, rather than trying to install both.
Comment 1 Jeff Johnson 2002-07-13 16:07:51 EDT
rpm-4.1 should, when given 2 versions of
the same pacakge on the command line during upgrade,
should replace the older with the newer
version.

Note You need to log in before you can comment on or make changes to this bug.